# Uses of Enum Class
java.awt.GraphicsDevice.WindowTranslucency

Packages that use GraphicsDevice.WindowTranslucency
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

- ## Uses of GraphicsDevice.WindowTranslucency in java.awt

  Subclasses with type arguments of type GraphicsDevice.WindowTranslucency in java.awt
  Modifier and Type
  Class
  Description
  `static enum`
  `GraphicsDevice.WindowTranslucency`
  Kinds of translucency supported by the underlying system.
  Methods in java.awt that return GraphicsDevice.WindowTranslucency
  Modifier and Type
  Method
  Description
  `static GraphicsDevice.WindowTranslucency`
  GraphicsDevice.WindowTranslucency.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GraphicsDevice.WindowTranslucency[]`
  GraphicsDevice.WindowTranslucency.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.awt with parameters of type GraphicsDevice.WindowTranslucency
  Modifier and Type
  Method
  Description
  `boolean`
  GraphicsDevice.`isWindowTranslucencySupported(GraphicsDevice.WindowTranslucency translucencyKind)`
  Returns whether the given level of translucency is supported by this graphics device.